<template>
  <div class="subscription-form">
    <label class="form-label">
      Номер будинку
      <input type="number" class="form-input" v-model="currentSubscription.houseNumber">
    </label>
    <label class="form-label">
      Кількість газет
      <input type="number" class="form-input" v-model="currentSubscription.newspaperQuantity">
    </label>
    <label class="form-label">
      Назви газет 
      <input type="text" class="form-input" v-model="currentSubscription.newspaperNames">
    </label>
    <button class="form-btn" @click="onAction">{{ actionBtnTitle }}</button>
  </div>
</template>

<script>
import { mapActions, mapGetters } from 'vuex'

    export default {
        name:'EditCreateSubscription',
        data() {
            return {
               currentSubscription:{} 
            }
        },

        computed: {
            ...mapGetters(['getSubscriptionById']),
            subscriptionId() {
                return this.$route.params.subscriptionId 
            },
            actionBtnTitle(){
                return this.subscriptionId?'Save':'Create'
            }
        },
        methods: {
            ...mapActions(['onAddSubscription','onUpdateSubscription']),
            onAction() {
                if(!this.subscriptionId )this.onAddSubscription(this.currentSubscription)
                else this.onUpdateSubscription(this.currentSubscription)
                this.$router.push({path: '/'})
                
            },
        },

        created () {
            if (this.subscriptionId)
            this.currentSubscription = {...this.getSubscriptionById(this.subscriptionId)}
        },
    }
</script>

<style scoped>
.subscription-form {
  max-width: 400px;
  margin: 0 auto;
  padding: 20px;
  border: 1px solid;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.form-label {
  display: block;
  margin-bottom: 10px;
  font-weight: bold;
}

.form-input {
  width: 100%;
  padding: 8px;
  margin-top: 5px;
  margin-bottom: 10px;
  box-sizing: border-box;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.form-btn {
  background-color: #4caf50;
  color: white;
  padding: 10px 15px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  font-size: 16px;
}

.form-btn:hover {
  background-color: #45a049;
}
</style>
